/**
 *
 * @author administrator
 */

package com.wstools.jni.client.test;

import com.wstools.jni.client.*;

public class Main
{
  public static void main(String[] args)
  {
    JniClient32 jc  = new JniClient32();


    System.out.println( "############################################### \ngetVersion() ..." );
    JniClientResult jniResultVersion = jc.getVersion();
    if ( jniResultVersion.cCode != JniClientResult.SUCCESS )
    {
        System.out.println( "getVersion cCode = " + jniResultVersion.cCode );
    }
    else
    {
        System.out.println( "     getVersion() = DLL v" + jniResultVersion.data[0] + "/ JAR v" + jniResultVersion.data[1] );
    }

    
    System.out.println( "############################################### \ngetDefaultUser() ..." );
    JniClientResult jniResultDefaultUser = jc.getDefaultUser();
    if ( jniResultDefaultUser.cCode != JniClientResult.SUCCESS )
    {
        System.out.println( "getDefaultUser cCode = " + jniResultDefaultUser.cCode );
    }
    else
    {
        String userName    = jniResultDefaultUser.data[0];
        System.out.println( "     getDefaultUser() = " + userName );
    }


    System.out.println( "############################################### \ngetConnectedTrees() ..." );
    JniClientResult jniResultTrees = jc.getConnectedTrees();
    if ( jniResultTrees.cCode != JniClientResult.SUCCESS )
    {
        System.out.println( "getConnectedTrees cCode = " + jniResultDefaultUser.cCode );
    }
    else
    {
       for ( int i=0; i<jniResultTrees.data.length; i++ )
       {
         String treeName  = jniResultTrees.data[i];
         System.out.println( "Tree #" + i + ": " + treeName );
         JniClientResult jniResultGetUser = jc.getUserByTree( treeName );
         if ( jniResultGetUser.cCode != JniClientResult.SUCCESS )
         {
            System.out.println( "     getUserByTree cCode = " + jniResultGetUser.cCode );
         }
         else
         {
            String userName    = jniResultGetUser.data[0];
            System.out.println( "     getUserByTree(\"" + treeName + "\") = " + userName );
         }
       }
    }


    System.out.println( "############################################### \ngetConnectedServers() ..." );
    JniClientResult jniResultServers = jc.getConnectedServers();
    if ( jniResultServers.cCode != JniClientResult.SUCCESS )
    {
        System.out.println( "jniResultDefaultUser cCode = " + jniResultDefaultUser.cCode );
    }
    else
    {
       for ( int i=0; i<jniResultServers.data.length; i++ )
       {
         String serverName  = jniResultServers.data[i];
         System.out.println( "Server #" + i + ": " + serverName );
         JniClientResult jniResultGetUser = jc.getUserByServer( serverName );
         if ( jniResultGetUser.cCode != JniClientResult.SUCCESS )
         {
            System.out.println( "     getUserByServer cCode = " + jniResultGetUser.cCode );
         }
         else
         {
            String userName    = jniResultGetUser.data[0];
            System.out.println( "     getUserByServer(\"" + serverName + "\") = " + userName );
         }
       }
    }

    System.out.println( "############################################### \ngetDefaultServer() ..." );
    JniClientResult jniResultDefaultSrv = jc.getDefaultServer();
    if ( jniResultDefaultSrv.cCode != JniClientResult.SUCCESS )
    {
        System.out.println( "getDefaultServer cCode = " + jniResultDefaultSrv.cCode );
    }
    else
    {
        String serverName    = jniResultDefaultSrv.data[0];
        System.out.println( "     getDefaultServer() = " + serverName );
    }


    System.out.println( "###############################################" );
  }



}
